<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <s:decorate template="/xvalidation/expressions/expressionTemplate.xhtml" id="ex_#{expression.fakeId}">
        <ui:param name="expression" value="#{expression}"/>
        <ui:param name="expressionName" value="#{messages['net.ihe.gazelle.xval.FOREACH']}"/>
        <ui:define name="expressionBody">
            <ui:include src="/xvalidation/expressions/locator.xhtml">
                <ui:param name="locator" value="#{expression.locator}"/>
            </ui:include>
            <s:decorate template="/layout/form/_edit.xhtml">
                <ui:param name="id" value="variableInput#{expression.fakeId}"/>
                <ui:define name="label">#{messages['net.ihe.gazelle.xval.VariablesName']}</ui:define>
                <h:inputText value="#{expression.var}" styleClass="form-control"
                             id="variableInput#{expression.fakeId}"/>
            </s:decorate>
            <s:div rendered="#{expression.expressionSet != null}">
                <ui:include src="#{expression.expressionSet.getEditLink()}">
                    <ui:param name="expression" value="#{expression.expressionSet}"/>
                </ui:include>
            </s:div>
            <div class="btn-group">
                <button type="button" class="btn gzl-btn-blue dropdown-toggle" data-toggle="dropdown"
                        aria-haspopup="true" aria-expanded="false">#{messages['net.ihe.gazelle.xval.CreatereplaceExpression']}
                    <span class="caret"/>
                </button>
                <ui:include src="/xvalidation/expressions/_listExpressionButtons.xhtml">
                    <ui:param name="targetId" value="#{expression.fakeId}"/>
                </ui:include>
            </div>
            <a4j:commandButton rendered="#{ruleEditorManager.exToMoveFakeId != null}"
                               value="#{messages['net.ihe.gazelle.xval.MoveHere']}" styleClass="gzl-btn gzl-btn-blue"
                               actionListener="#{ruleEditorManager.moveTo(expression.fakeId)}"
                               render="workingBoard"/>
        </ui:define>
    </s:decorate>
</ui:composition>
